# Recettes

Ce repository contient le code source des différents livres de recettes
et du blog des recettes.

Le site est généré et publié automatiquement lorsque les Merge Requests sont acceptées
et les modifications intégrées sur la branche `master`.

## URLs utiles

## Installation
1. `curl -SsL https://github.com/gohugoio/hugo/releases/download/v0.63.2/hugo_0.63.2_Linux-64bit.tar.gz | tar zxvf - hugo`

## Ajouter des recettes

1. `git checkout master` pour s'assurer d'être sur la branche principale.
2. `git pull` pour s'assurer d'avoir la dernière version.
3. `git checkout -b nouvelles-recettes` pour créer une nouvelle branche *nouvelles-recettes*.
    Adapter le nom en fonction des recettes
4. Créer une nouvelle recette avec `./hugo new recettes/divers/tarte-aux-pouets.md`
5. Taper la recette dans le fichier généré `content/recettes/divers/tarte-aux-pouets.md`
6. Générer le site avec `./hugo serve`
7. Ajouter les modifications avec `git add content/recettes/divers/tarte-aux-pouets.md`
8. Une fois fini, faire un commit avec `git commit`
9. Reprendre à 4 pour chaque recette
10. Une fois toutes les recettes saisies, faire `git push` pour envoyer sur le serveur
11. Suivre le lien donné pour créer une Merge Request avec les nouvelles
    recettes.

## Technologies
* Le site est généré statiquement avec [Hugo](https://gohugo.io)
* Les fichiers générés sont déployés automatiquement dans un bucket Amazon S3
* Le site web est distribué par Amazon CloudFront
